include windows.inc
include user32.inc
include kernel32.inc
include shell32.inc
include comctl32.inc
include comdlg32.inc
include masm32.inc

includelib user32.lib
includelib kernel32.lib
includelib shell32.lib
includelib comctl32.lib
includelib comdlg32.lib
includelib masm32.lib

WinMain				PROTO :DWORD,:DWORD,:DWORD,:DWORD
WndProc				PROTO :DWORD,:DWORD,:DWORD,:DWORD

IDD_DIALOG			equ 1000

IDM_MENU			equ 10000
IDM_FILE_EXIT		equ 10001
IDM_HELP_ABOUT		equ 10101

.const

ClassName			db 'DLGCLASS',0
AppName				db 'Dialog as main',0
AboutMsg			db 'MASM32 RadASM Dialog as main',13,10,'Copyright  MASM32 2001',0

.data

libName				db "p2k.dll",0
Func_COM_Find		db "COM_Find",0
Func_Switch_mode	db "Switch_mode",0
Func_FindUSBClass	db "FindUSBClass",0
Func_P2K_Restart	db "P2K_Restart",0
Func_P2K_Suspend	db "P2K_Suspend",0
Func_P2K_Flash		db "P2K_Flash",0
Func_P2K_SendCommand db "P2K_SendCommand",0
Func_USB_GetIFInfo	db "USB_GetIFInfo",0
Func_GetVolNames	db "GetVolNames",0
Func_File_GetFreeSpace	db "File_GetFreeSpace",0
Func_GetModelName	db "GetModelName",0
Func_FSAC_search_file	db "FSAC_search_file",0
Func_GetFSRecords	db "GetFSRecords",0
Func_FSAC_open		db "FSAC_open",0
Func_FSAC_close		db "FSAC_close",0
Func_FSAC_read		db "FSAC_read",0
Func_FSAC_write		db "FSAC_write",0
Func_FSAC_seek		db "FSAC_seek",0
Func_FileRead		db "FileRead",0
Func_File_CountEx	db "File_CountEx",0
Func_P2k_MasterReset	db "P2k_MasterReset",0

buf_aa				db "/a",0
isAT				dd 0
allok				dd 0
backslash 			db "\",0
slash 				db "/",0
dot 				db ".",0
astr 				db "*.",0
comm0				db "p2k.dll NOT found!",0
comm10				db "USB serial device NOT found!",0
comm20				db "Command to switch p2kmode NOT succeed!",0
comm30				db "Motorola USB device NOT found!",0
comm40				db "Incorrect parameters!",0
comm50				db "Cannot FSAC close!",0
comm60				db "Cannot FSAC write!",0
comm61				db "Cannot FSAC read!",0
comm70				db "Cannot FSAC seek!",0
comm80				db "Cannot FSAC open!",0
comm90				db "Cannot FSAC search!",0
comm81				db "File not found!",0

parmnum				dd 0
found 				dd 0
.data?

hInstance			dd ?
CommandLine			dd ?
hWnd				dd ?

hLib				dd ?
A_COM_Find			dd ?
A_Switch_mode		dd ?
A_FindUSBClass		dd ?
A_P2K_Restart		dd ?
A_P2K_Suspend		dd ?
A_P2K_Flash			dd ?
A_P2K_SendCommand	dd ?
A_USB_GetIFInfo		dd ?
A_GetVolNames		dd ?
A_File_GetFreeSpace		dd ?
A_GetModelName		dd ?
A_FSAC_search_file		dd ?
A_GetFSRecords		dd ?
A_FSAC_open			dd ?
A_FSAC_close		dd ?
A_FSAC_read			dd ?
A_FSAC_write		dd ?
A_FSAC_seek			dd ?
A_FileRead			dd ?
A_File_CountEx		dd ?
A_P2k_MasterReset	dd ?

S_Launchdir			db 256 dup (?)
S_Source			db 256 dup (?)
S_Destination		db 256 dup (?)
S_Option			db 256 dup (?)

buffer			 db 256 dup (?)
buffer2			 db 256 dup (?)
buffer3			 db 256 dup (?)
hSaveFile		dd ?
writtenb		dd ?
hReadFile		dd ?
nBytes			dd ?
hMemFile		dd ?
hMemFile2		dd ?
hMemFile2p		dd ?
hMemFile3		dd ?
P2kRecordLenght	dd ?

loadedfile		dd ?